Hooks:PostHook( BlackMarketTweakData, "_init_weapon_skins", "winchesterSkinsInt", function(self)
	
	--Survivor
	self.weapon_skins.winchester1874_nin = {
			name_id = "bm_wskn_winchester1874_nin",
			desc_id = "bm_wskn_winchester1874_nin_desc",
			weapon_id = "winchester1874",
			rarity = "common",
			bonus = "recoil_p1",
			reserve_quality = true,
			texture_bundle_folder = "cash/safes/nin",
			base_gradient = Idstring("units/payday2_cash/safes/nin/base_gradient/nin_base_gradient_013_02_df"),
			parts = {
			
				--Shaft Standard
				wpn_fps_snp_winchester_s_standard = {
					["6f38fa894899fda9"] = {
						uv_scale = Vector3(1.48792, 1.48792, 1),
						pattern_pos = Vector3(0.712139, 0.7026, 0),
						pattern = Idstring("units/payday2_cash/safes/nin/pattern/nin_pattern_013_01_df"),
						uv_offset_rot = Vector3(0.0252805, 0.969712, 0),
						pattern_gradient = Idstring("units/payday2_cash/safes/nin/pattern_gradient/nin_pattern_gradient_013_01_df"),
						base_gradient = Idstring("units/payday2_cash/safes/nin/base_gradient/nin_base_gradient_013_01_df"),
						sticker = Idstring("units/payday2_cash/safes/nin/sticker/nin_sticker_013_01_df"),
						cubemap_pattern_control = Vector3(0, 1, 0),
						pattern_tweak = Vector3(0.72979, 0, 1)
					}
				},
				
				--Shaft Broken
				winchester_s_short = {
					["6f38fa894899fda9"] = {
						uv_scale = Vector3(1.48792, 1.48792, 1),
						pattern_pos = Vector3(0.712139, 0.7026, 0),
						pattern = Idstring("units/payday2_cash/safes/nin/pattern/nin_pattern_013_01_df"),
						uv_offset_rot = Vector3(0.0252805, 0.969712, 0),
						pattern_gradient = Idstring("units/payday2_cash/safes/nin/pattern_gradient/nin_pattern_gradient_013_01_df"),
						base_gradient = Idstring("units/payday2_cash/safes/nin/base_gradient/nin_base_gradient_013_01_df"),
						sticker = Idstring("units/payday2_cash/safes/nin/sticker/nin_sticker_013_01_df"),
						cubemap_pattern_control = Vector3(0, 1, 0),
						pattern_tweak = Vector3(0.72979, 0, 1)
					}
				},
				
				--Body
				wpn_fps_snp_winchester_body_standard = {
					["8980b51e90670fd7"] = {},
					["c3ba24da2eab3277"] = {
						pattern_tweak = Vector3(0.920584, 0, 0),
						uv_scale = Vector3(0.963495, 0.963495, 0),
						pattern_pos = Vector3(-1.02409, 1.08419, 0),
						uv_offset_rot = Vector3(-0.0510372, 1.03303, 0),
						pattern_gradient = Idstring("units/payday2_cash/safes/nin/pattern_gradient/nin_pattern_gradient_013_01_df"),
						pattern = Idstring("units/payday2_cash/safes/nin/pattern/nin_pattern_013_01_df"),
						sticker = Idstring("units/payday2_cash/safes/nin/sticker/nin_sticker_013_04_df")
					}
				},
				
				--Barrel Short
				winchester_b_short = {
					["0c2a90bd61b7c6f9"] = {
						base_gradient = Idstring("units/payday2_cash/safes/nin/base_gradient/nin_base_gradient_013_01_df"),
						uv_scale = Vector3(2.20304, 2.20304, 0),
						pattern_tweak = Vector3(1, 0, 0),
						uv_offset_rot = Vector3(-0.241831, 0.819616, 0),
						pattern_gradient = Idstring("units/payday2_cash/safes/nin/pattern_gradient/nin_pattern_gradient_013_01_df"),
						pattern = Idstring("units/payday2_cash/safes/nin/pattern/nin_pattern_013_01_df"),
						sticker = Idstring("units/payday2_cash/safes/nin/sticker/nin_sticker_013_02_df")
					}
				},
				
				--Barrel Standard
				winchester_b_standard = {
					["0c2a90bd61b7c6f9"] = {
						base_gradient = Idstring("units/payday2_cash/safes/nin/base_gradient/nin_base_gradient_013_01_df"),
						uv_scale = Vector3(2.20304, 2.20304, 0),
						pattern_tweak = Vector3(1, 0, 0),
						uv_offset_rot = Vector3(-0.241831, 0.819616, 0),
						pattern_gradient = Idstring("units/payday2_cash/safes/nin/pattern_gradient/nin_pattern_gradient_013_01_df"),
						pattern = Idstring("units/payday2_cash/safes/nin/pattern/nin_pattern_013_01_df"),
						sticker = Idstring("units/payday2_cash/safes/nin/sticker/nin_sticker_013_02_df")
					}
				},

				--Long Barrel
				winchester_b_long = {
					["0c2a90bd61b7c6f9"] = {
						sticker = Idstring("units/payday2_cash/safes/nin/sticker/nin_sticker_013_02_df"),
						uv_offset_rot = Vector3(-0.242831, 0.863235, 0),
						uv_scale = Vector3(2.39374, 2.39374, 0)
					}
				},
				
				--Suppressor
				winchester_sup = {
					["cad855b4e50642bd"] = {
						sticker = Idstring("units/payday2_cash/safes/nin/sticker/nin_sticker_013_03_df"),
						uv_offset_rot = Vector3(0.321011, 0.759838, 0),
						uv_scale = Vector3(0.963495, 0.963495, 1)
					}
				}
				
			},
			types = {
				sight = {
					base_gradient = Idstring("units/payday2_cash/safes/nin/base_gradient/nin_base_gradient_013_03_df")
				}
			}
		}

	--The Fork
	self.weapon_skins.winchester1874_buck = {
			name_id = "bm_wskn_winchester1874_buck",
			desc_id = "bm_wskn_winchester1874_buck_desc",
			weapon_id = "winchester1874",
			rarity = "uncommon",
			bonus = "recoil_p1",
			reserve_quality = true,
			texture_bundle_folder = "cash/safes/buck",
			base_gradient = Idstring("units/payday2_cash/safes/buck/base_gradient/base_buck_009_df"),
			pattern_gradient = Idstring("units/payday2_cash/safes/buck/pattern_gradient/gradient_buck_004_df"),
			pattern = Idstring("units/payday2_cash/safes/buck/pattern/buck_pattern_007_df"),
			pattern_tweak = Vector3(1.25447, 0, 0),
			pattern_pos = Vector3(-0.0987357, 0.36871, 0),
			cubemap_pattern_control = Vector3(1, 0, 0),
			parts = {
				
				-- Suppressor
				winchester_sup = {
					[Idstring("mtr_supp"):key()] = {
						base_gradient = Idstring("units/payday2_cash/safes/buck/base_gradient/base_buck_003_df"),
						uv_scale = Vector3(20, 20, 1),
						uv_offset_rot = Vector3(2, 2, 0)
					}
				},
				
				-- Scope
				wpn_fps_upg_winchester_o_classic = {
					[Idstring("mtr_scope"):key()] = {
						base_gradient = Idstring("units/payday2_cash/safes/buck/base_gradient/base_buck_014_df"),
						pattern_pos = Vector3(-1.08133, -1.15764, 0),
						pattern_gradient = Idstring("units/payday2_cash/safes/buck/pattern_gradient/gradient_buck_004_df"),
						pattern_tweak = Vector3(0.300503, 0, 1)
					}
				}
			},
			types = {
				
				-- Barrel Skin
				barrel = {
					pattern_pos = Vector3(0.855235, 0.216075, 0),
					uv_scale = Vector3(9.79962, 0.01, 0),
					uv_offset_rot = Vector3(0.177916, 2, 0),
					pattern_tweak = Vector3(2.16, 0, 1)
				},
				
				-- Stock Skin
				stock = {
					uv_scale = Vector3(8.7011, 8.7011, 1),
					uv_offset_rot = Vector3(0.264773, 0.922013, 0.963532),
					pattern_tweak = Vector3(1.20678, 0, 1)
				},
				
				-- Lower Reciever Skin
				lower_reciever = {
					sticker = Idstring("units/payday2_cash/safes/buck/sticker/buck_sticker_013_df"),
					uv_scale = Vector3(7.79528, 9.13017, 0.0317196),
					uv_offset_rot = Vector3(-0.29707, 0.870854, 0),
					base_gradient = Idstring("units/payday2_cash/safes/buck/base_gradient/base_buck_009_b_df")
				}
			}
		}
		
	--Royal Commander
	self.weapon_skins.winchester1874_grunt = {
			name_id = "bm_wskn_winchester1874_grunt",
			desc_id = "bm_wskn_winchester1874_grunt_desc",
			weapon_id = "winchester1874",
			rarity = "rare",
			bonus = "recoil_p1",
			reserve_quality = true,
			texture_bundle_folder = "cash/safes/grunt",
			base_gradient = Idstring("units/payday2_cash/safes/grunt/base_gradient/base_grunt_011_df"),
			pattern_gradient = Idstring("units/payday2_cash/safes/grunt/pattern_gradient/gradient_grunt_002_df"),
			pattern = Idstring("units/payday2_cash/safes/grunt/pattern/grunt_pattern_007_df"),
			sticker = Idstring("units/payday2_cash/safes/grunt/sticker/grunt_sticker_001_df"),
			pattern_tweak = Vector3(1.49297, 0.469029, 1),
			pattern_pos = Vector3(0.244694, 0, 0),
			uv_scale = Vector3(1, 4.79177, 1),
			parts = {
				
				--Body
				wpn_fps_snp_winchester_body_standard = {
					[Idstring("mtr_body"):key()] = {
						base_gradient = Idstring("units/payday2_cash/safes/burn/base_gradient/base_burn_004_df"),
						pattern_tweak = Vector3(0, 0, 1),
						pattern = Idstring("units/payday2_cash/safes/shared/pattern/pattern_acryl_001_df")
					},
					[Idstring("mtr_trigger"):key()] = {
						base_gradient = Idstring("units/payday2_cash/safes/flake/base_gradient/base_flake_002_df"),
						sticker = Idstring("units/payday2_cash/safes/grunt/sticker/grunt_sticker_001_df"),
						uv_scale = Vector3(20, 20, 1),
						uv_offset_rot = Vector3(-2, -2, 0)
					}
				},
				
				--Magazine
				wpn_fps_snp_winchester_m_standard = {
					[Idstring("mtr_body"):key()] = {
						base_gradient = Idstring("units/payday2_cash/safes/flake/base_gradient/base_flake_002_df")
					}
				},
				
				--Scope
				wpn_fps_upg_winchester_o_classic = {
					[Idstring("mtr_scope"):key()] = {
						pattern_tweak = Vector3(0.249408, 1.56293, 1),
						uv_offset_rot = Vector3(0.397329, 0.907474, 4.70977),
						pattern_pos = Vector3(0, 0.31979, 0),
						base_gradient = Idstring("units/payday2_cash/safes/cola/base_gradient/base_cola_002_df"),
						sticker = Idstring("units/payday2_cash/safes/grunt/sticker/grunt_sticker_005_df"),
						uv_scale = Vector3(2.26502, 2.21734, 0),
						pattern_gradient = Idstring("units/payday2_cash/safes/red/pattern_gradient/pattern_gradient_marble_floor_df"),
						cubemap_pattern_control = Vector3(0.0150252, 0.513475, 0),
						pattern = Idstring("units/payday2_cash/safes/burn/pattern/burn_pattern_009_df")
					}
				},
				
				--Barrel Short
				winchester_b_short = {
					[Idstring("mtr_barrel"):key()] = {
						base_gradient = Idstring("units/payday2_cash/safes/grunt/base_gradient/base_grunt_011_df"),
						sticker = Idstring("units/payday2_cash/safes/grunt/sticker/grunt_sticker_005_df"),
						
							pattern_tweak = Vector3(2.87622, 0, 0),
						
						uv_scale = Vector3(4.777, 2.155, 1),
						
							pattern_pos = Vector3(0.807537, 0.635822, 0),
						
						uv_offset_rot = Vector3(0.369, 0.998, 1.56594)
						
					}
				},
				
				--Barrel Standard
				winchester_b_standard = {
					[Idstring("mtr_barrel"):key()] = {
						base_gradient = Idstring("units/payday2_cash/safes/grunt/base_gradient/base_grunt_011_df"),
						sticker = Idstring("units/payday2_cash/safes/grunt/sticker/grunt_sticker_005_df"),
						
							pattern_tweak = Vector3(2.87622, 0, 0),
						
						uv_scale = Vector3(3.061, 2.155, 1),
						
							pattern_pos = Vector3(0.807537, 0.635822, 0),
						
						uv_offset_rot = Vector3(0.359, 0.998, 1.56594)
					}
				},
				
				--Barrel Long
				winchester_b_long = {
					[Idstring("mtr_barrel"):key()] = {
						base_gradient = Idstring("units/payday2_cash/safes/grunt/base_gradient/base_grunt_011_df"),
						
						sticker = Idstring("units/payday2_cash/safes/grunt/sticker/grunt_sticker_005_df"),
						pattern_tweak = Vector3(2.87622, 0, 0),
						uv_scale = Vector3(3.50456, 2.74176, 1),
						pattern_pos = Vector3(0.807537, 0.635822, 0),
						uv_offset_rot = Vector3(0.373932, 1.00341, 1.56594)
						
					}
				},
				
				--Suppressor
				winchester_sup = {
					[Idstring("mtr_supp"):key()] = {
						uv_offset_rot = Vector3(-2, -2, 1.57791),
						uv_scale = Vector3(20, 20, 1)
					}
				}
			},

			types = {
				stock = {
					pattern_tweak = Vector3(2.11305, 0, 1),
					uv_offset_rot = Vector3(-0.250609, 1.00133, 4.71474),
					uv_scale = Vector3(1.64924, 1.21617, 0),
					pattern_pos = Vector3(0.130217, 0.0920586, 0),
					sticker = Idstring("units/payday2_cash/safes/grunt/sticker/grunt_sticker_005_df")
				},
				lower_reciever = {
					sticker = Idstring("units/payday2_cash/safes/grunt/sticker/grunt_sticker_006_df"),
					uv_offset_rot = Vector3(-0.0371959, 0.843696, 0.013),
					uv_scale = Vector3(1.31152, 2.93246, 0)
				}
			}
		}

end )