Hooks:PostHook( WeaponFactoryTweakData, "init", "winchesterInt", function(self)

	--Scope
	self.parts.wpn_fps_upg_winchester_o_classic = {
			type = "sight",
			texture_bundle_folder = "west",
			reticle_obj = "g_reticle",
			a_obj = "a_o",
			dlc = "west",
			name_id = "bm_wp_winchester_sniper_scope",
			unit = "units/pd2_dlc_west/weapons/wpn_fps_snp_winchester_pts/wpn_fps_upg_winchester_o_classic",
			pcs = {
				10,
				20,
				30,
				40
			},
			stats = {
				zoom = 10,
				recoil = 1,
				value = 0,
				concealment = -3
			},
			stance_mod = {
				wpn_fps_snp_winchester = {
					translation = Vector3(0, -28, -1.69)
				}
			},
			visibility = {
				{
					condition = function (self, part, npc)
						return _G.IS_VR and not npc
					end,
					objects = {
						g_vr_lens = true,
						g_gfx_lens = false,
						g_gfx_lens_2 = false,
						g_gfx_lens_3 = false,
						g_vr_scope = true,
						g_vr_phong = true,
						g_reticle = false,
						g_screen = true
					}
				}
			},
			camera = {
				a_camera = "a_camera",
				material = "screen",
				fov = 12,
				a_screen = "g_screen",
				channel = "macrodetail_diffuse_texture"
			},
			forbids = {
				"winchester_b_short"
			}
		}

	--Weapon itself
	self.wpn_fps_snp_winchester = {
		unit = "units/pd2_dlc_west/weapons/wpn_fps_snp_winchester/wpn_fps_snp_winchester",
		optional_types = {
			"barrel_ext",
			"gadget",
			"sight",
			"stock"
		},
		default_blueprint = {
			"winchester_b_standard",
			"wpn_fps_snp_winchester_body_standard",
			"wpn_fps_snp_winchester_m_standard",
			"wpn_fps_snp_winchester_s_standard",
			"winchester_iron_sight"
		},
		uses_parts = {
			"wpn_fps_snp_winchester_body_standard",
			
			"wpn_fps_snp_winchester_m_standard",
			
			"wpn_fps_snp_winchester_s_standard",
			
			"wpn_fps_upg_winchester_o_classic"
		}
	}

end )